Subject: linux/g77/etc

From: <[email-masked]>
Date: Sat, 6 Jan 1996 14:22:02 -0800 (PST)

[email-masked] (Toni Kazic) writes:

>>Perhaps I missed this in the current thread, but do the Unix FORTRAN
>>compilers run on PCs running Linux, and does this combination provide the
>>performance expected from the raw numbers?

>f2c (a FORTRAN to C converter) and gcc do a pretty seamless job of compiling
>a lot of FORTRAN code. 

The new g77 seems a little faster, at least on molecular mechanical
codes - see the benchmarks under http://www.amber.ucsf.edu/amber/.
I haven't evaluated how they compare to 'raw numbers', but this 
comparison could be done w/ those benchmarks if one had those 
numbers in hand (SPECfp #s?).

Bill Ross